Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:
Description

The Union geoprocess (gvSIG vector geoprocesses) takes a lot of time in finishing. It finishes the two processes quickly, but at the
second one, when the time bar is completed it takes several minutes at the same point without finishing the geoprocess.

At the end the results are correct but it takes a lot.

| attach the log file.

Associated revisions

Revision 658 - 03/02/2015 12:47 PM - Francisco Diaz Carsi

refs #3112 Aceleracion del geoproceso unién

History

#1 - 02/25/2015 02:08 PM - Alvaro Anguix

- Assignee set to Francisco Diaz Carsi

#2 - 02/25/2015 02:08 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

#3 - 03/02/2015 01:02 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

Este geoproceso se divide en tres subprocesos:

#EI célculo de la interseccion de las dos capas

#EI célculo de la diferencia entre la primera capa y la segunda
#EI calculo de la diferencia entre la segunda capa y la primera

En los célculos de la diferencia entre capas habia un gran cuello de botella porque para hacerlo generaba una geometria temporal con la unién de
todas las geometrias de la capa que llega como primer argumento y para ello se la recorria afiadia una a una las geometrias de dicha capa en la
geometria temporal pasando cada vez por un proceso de la libreria de JTS que, conforme la geometria temporal iba creciendo le costaba mas.
Ademas, como este proceso no esta contabilizado en la barra de progreso podia darle la impresion al usuario de que gvSIG se habia quedado

colgado.
Esto lo he sustituido por un recorrido por las geometrias de dicha capa, guardandolas en un array y llamando una Unica vez al proceso de JTS.

He hecho alguna prueba y, como ejemplo, se puede ver que antes con la capa de parcelas de Valencia el proceso de generacion de la geometria

duraba horas y, ahora, dura apenas 3 segundos.

El resto de subprocesos no he visto manera de acelerarlos pues inevitablemente tienen que recorrerse las capas para operar con las geometrias.

#4 - 03/02/2015 01:03 PM - Francisco Diaz Carsi

El arreglo sera efectivo cuando se genere un nuevo build de geoprocesos.

#5 - 03/02/2015 06:43 PM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)

#6 - 04/07/2015 12:11 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG-union.log 329 KB 01/16/2015
